Resource

Workflow Log

Logs of the workflows executed

The Workflow Log Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    workflow
    Type
    Workflow
    Description

    Workflow this logs belong to

  • Name
    workflowId
    Type
    Object IDRequired
    Description

    ID of Workflow this logs belong to

  • Name
    logs
    Type
    Very Long Text
    Description

    Logs

  • Name
    workflowStatus
    Type
    Workflow StatusRequired
    Description

    Status of this workflow

  • Name
    startedAt
    Type
    Date
    Description

    When did this workflow start

  • Name
    completedAt
    Type
    Date
    Description

    When did this workflow complete

GETorPOST/api/workflow-log/get-list

List

This endpoint allows you to retrieve a paginated list of all your Workflow Log. By default, a maximum of ten Workflow Log are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/workflow-log/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "workflowId": true,
    "workflowStatus": true,
    "_id": true,
    "completedAt": true
  },
  "query": {
    "logs": "Example logs"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377fe990-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "workflowId": "550e8400-e29b-41d4-a716-446655440000",
      "workflowStatus": "Example workflow status",
      "completedAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377fe991-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "workflowId": "550e8400-e29b-41d4-a716-446655440000",
      "workflowStatus": "Example workflow status",
      "completedAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377fe992-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "workflowId": "550e8400-e29b-41d4-a716-446655440000",
      "workflowStatus": "Example workflow status",
      "completedAt": "2024-01-15T10:30:00.000Z"
    }
  ]
}
GETorPOST/api/workflow-log/:id/get-item

Get item by ID

This endpoint allows you to retrieve Workflow Log by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/workflow-log/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "workflowId": true,
    "workflowStatus": true,
    "_id": true,
    "completedAt": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "workflowId": "550e8400-e29b-41d4-a716-446655440000",
  "workflowStatus": "Example workflow status",
  "completedAt": "2024-01-15T10:30:00.000Z"
}
POST/api/workflow-log/count

Count

This endpoint allows you to retrieve the count of all your Workflow Log.

Optional Request Body

Count Request

POST
/api/workflow-log/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "logs": "Example logs"
  }
}

Response

{
  "count": 107
}
POST/api/workflow-log

Create Workflow Log

This endpoint allows you to create a new object.

Create Request

POST
/api/workflow-log
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "workflowId": "550e8400-e29b-41d4-a716-446655440000",
  "workflowStatus": "Example workflow status",
  "completedAt": "2024-01-15T10:30:00.000Z"
}
PUT/api/workflow-log/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/workflow-log/:id/update-item
GET/api/workflow-log/:id/update-item

Update Request

PUT
/api/workflow-log/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{}
DELETE/api/workflow-log/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/workflow-log/:id/delete-item
GET/api/workflow-log/:id/delete-item

Delete Request

DELETE
/api/workflow-log/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Workflow Log

  • Project Owner
  • Project Admin
  • Project Member
  • Read Workflow Log
  • Read All Project Resources

Create Permissions

Required to create Workflow Log

  • Project Owner
  • Project Admin
  • Create Workflow Log

Update Permissions

Required to update Workflow Log

  • Project Owner
  • Project Admin
  • Edit Workflow Log

Delete Permissions

Required to delete Workflow Log

  • Project Owner
  • Project Admin
  • Delete Workflow Log